# Uses of Interface
org.opensaml.saml.saml2.core.Audience

Packages that use Audience
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.

## Uses of Audience in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return types with arguments of type Audience
Modifier and Type
Method
Description
`List<Audience>`
AudienceRestriction.`getAudiences()`
Gets the list of audiences for the assertion.
`List<Audience>`
ProxyRestriction.`getAudiences()`
Gets the list of audiences to whom the assertion may be proxied.

## Uses of Audience in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement Audience
Modifier and Type
Class
Description
`class`
`AudienceImpl`
Concrete implementation of `Audience`.
Fields in org.opensaml.saml.saml2.core.impl with type parameters of type Audience
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<Audience>`
AudienceRestrictionImpl.`audiences`
List of the audiences.
`private final XMLObjectChildrenList<Audience>`
ProxyRestrictionImpl.`audiences`
Audiences of the Restriction.
Methods in org.opensaml.saml.saml2.core.impl that return Audience
Modifier and Type
Method
Description
`Audience`
AudienceBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`Audience`
AudienceBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.core.impl that return types with arguments of type Audience
Modifier and Type
Method
Description
`List<Audience>`
AudienceRestrictionImpl.`getAudiences()`
Gets the list of audiences for the assertion.
`List<Audience>`
ProxyRestrictionImpl.`getAudiences()`
Gets the list of audiences to whom the assertion may be proxied.